import { nothing } from '../../../../../external/lit/index.js';
import { UmbLitElement } from '../../../../core/lit-element/index.js';
declare const UmbInputContentTypeCollectionConfigurationElement_base: import("../../../../../libs/extension-api/index.js").HTMLElementConstructor<import("../../../../core/validation/index.js").UmbFormControlMixinElement<string | undefined>> & typeof UmbLitElement;
export declare class UmbInputContentTypeCollectionConfigurationElement extends UmbInputContentTypeCollectionConfigurationElement_base {
    #private;
    protected getFormElement(): undefined;
    private _dataTypePickerModalPath?;
    defaultValue?: string;
    constructor();
    render(): typeof nothing | import("lit-html").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
declare global {
    interface HTMLElementTagNameMap {
        'umb-input-content-type-collection-configuration': UmbInputContentTypeCollectionConfigurationElement;
    }
}
export {};
